> This is part 1 of 2 of the full documentation (pages 1–100 of 141).
> The content is paginated: fetch every part to see all of it.
> Next part: https://docs.craft.co/llms-full.txt/1
> Page index: https://docs.craft.co/llms.txt

# Introduction

The Craft API provides access to the [Craft](https://craft.co/) data platform for developers and data scientists.

You can use this API to access all of our API endpoints, including as the [Company Data API](/company-data-api/introduction) to get all company data information and the [Alerts API](/alerts-api/intro) to receive alerts on a given company.

The API is organized around GraphQL. All requests should be made over SSL. All request and response bodies, including errors, are encoded in JSON.

[Read more about GraphQL](/about-graphql)

{% content-ref url="/pages/-LsXRqkZ6Pg57j-MZuGU" %}
[Company Data API Introduction](/company-data-api/introduction)
{% endcontent-ref %}

{% content-ref url="/pages/-LsXSguKvfNLiCda97TA" %}
[Alerts API Introduction](/alerts-api/intro)
{% endcontent-ref %}


# About GraphQL

GraphQL is a query language for your API and a server-side runtime for executing queries by using a type system that you define for your data.

{% hint style="info" %}
For more information please refer to <https://graphql.org/learn/>
{% endhint %}

## Fields

To simplify, GraphQL allows you to ask for specific fields on objects. Let's start by looking at a very simple query and the result we get when we run it:

```graphql
{
    company {
        displayName
        locationsCount
        homepage
    }
}
```

The response:

```javascript
{
    "data": {
        "company": {
            "displayName": "Stripe",
            "homepage": "https://stripe.com",
            "locationsCount": 13
        }
    }
}
```

You can see that the query reflects the same structure as the result. This is essential to GraphQL, because the server knows exactly what fields you are asking for and you always get back what you expect.

In the previous example, we just asked for the display name of the company which returned a *String*, but fields can also refer to Objects. In that case, you can make a *sub-selection* of fields for that Object. GraphQL queries can traverse related objects and their fields, letting clients fetch a significant amount of related data in one request, instead of making several requests as one would need in a classic REST architecture:

```graphql
{
    company {
        displayName

        locations {
            city
            country
        }
    }
}
```

That will return:

```javascript
{
    "data": {
        "company": {
            "displayName": "Stripe",
            "locations": [
                {
                    "city": "San Francisco",
                    "country": "US"
                },
                {
                    "city": "Chicago",
                    "country": "US"
                },
                
            ]
        }
    }
}
```

## Arguments

In a system like REST, you can only pass a single set of arguments - the query parameters and URL segments in your request. But in GraphQL, every field and nested object can have its own set of arguments, making GraphQL a complete replacement for making multiple API fetches:

```graphql
{
    company(duns: "966357621") {
        displayName
        locationsCount
        homepage
    }
}
```

## Variables

In most applications, the arguments to fields will be dynamic. For example, you might be requesting a list of companies by DUNS, which changes in each request.

It wouldn't be a good idea to pass these dynamic arguments directly in the query string, because then our client-side code would need to dynamically manipulate the query string at runtime, and serialize it into a GraphQL-specific format. Instead, GraphQL has a first-class way to factor dynamic values out of the query, and pass them as a separate dictionary. These values are called *variables*.&#x20;

**Query:**

```graphql
query findCompanyByDUNS($duns: String!) {
    company(duns: $duns) {
        displayName
        locationsCount
        homepage
    }
}
```

**Variables:**

```javascript
{ "duns": "966357621" }
```

## Enumeration types

Also called *Enums*, enumeration types are a special kind of scalar that is restricted to a particular set of allowed values. This allows you to:

1. Validate that any arguments of this type are one of the allowed values
2. Communicate through the type system that a field will always be one of a finite set of values

Here's what an enum definition might look like in the GraphQL schema language:

```graphql
enum CompanyTypeEnum {
    investor
    private
    public
    subsidiary
}
```

Make you first call to the Company Data API:

{% content-ref url="/pages/-LuBd-Fm1yN2A2\_uMmTC" %}
[Getting started with JavaScript](/company-data-api/getting-started/getting-started-with-javascript)
{% endcontent-ref %}


# Authentication

To maintain API access, please provide your API Access key in the **header** with each HTTP request:

`x-craft-api-key: YOUR_API_KEY`

{% hint style="info" %}
In order to request an API key, please reach out to <sales@craft.co>
{% endhint %}

Example with JavaScript:

```javascript
require('isomorphic-fetch');

API_KEY = '<REPLACE_WITH_YOUR_KEY>';
API_ENDPOINT = 'https://api.craft.co/v1/query';
GRAPHQL_QUERY = 'query getCompany($domain: String!) { company(domain: $domain) { locations { city, country } } }';

requestHeaders= { 'Content-Type': 'application/json', 'x-craft-api-key': API_KEY };
requestData = { 'query': GRAPHQL_QUERY, 'variables': { 'domain': 'meta.com' } };

fetch(API_ENDPOINT, {
    method: 'POST',
    headers: requestHeaders,
    body: JSON.stringify(requestData),
})
    .then(function(response)  { return response.json() })
    .then(console.log)
    .catch(console.error);
```

{% hint style="info" %}
You must replace `<REPLACE_WITH_YOUR_KEY>` in the further examples with your company's unique API key.
{% endhint %}


# Troubleshooting

If you have any questions about how the Craft API works, please email us at <hello@craft.co>.

## Error handling

Craft API uses the following HTTP error codes:

| Error code    | Error message           | Meaning                                                             |
| ------------- | ----------------------- | ------------------------------------------------------------------- |
| 200           | `OK`                    | Everything went well.                                               |
| 401           | `Unauthorized`          | Your API key is wrong.                                              |
| 404           | `Not Found`             | The specified URL could not be found.                               |
| 405           | `Method Not Allowed`    | You tried to access the API with an invalid method.                 |
| 500           | `Internal Server Error` | We had a problem with our server. Please contact us.                |
| 502, 503, 504 | `Service Unavailable`   | We are temporarily offline for maintenance. Please try again later. |


# Company Data API Introduction

The Craft Company Data API is a [GraphQL](/about-graphql) API build over HTTP and SSL.

GraphQL makes it possible to make a single API call to fetch all of the information on a particular company you need.

In order to make an API call, you need to send a `POST` request to the Company Data API endpoint:

```http
POST https://api.craft.co/v1/query
```

In order to receive the GraphQL schema, you would do a `POST` request:

```http
POST https://api.craft.co/v1/schema
```

A GraphQL POST request should use the `application/json` content type, have the `x-craft-api-key` header with your API Key in the value , and include a JSON-encoded body of the following form:

```javascript
{
  "query": "...",
  "variables": { "myVariable": "someValue", ... }
}
```

{% hint style="info" %}
In order to receive an API key please reach out to <sales@craft.co>
{% endhint %}

Query parameters should be sent as a **JSON-encoded string** in an additional query parameter called `variables`.

`query` is a required **String** parameter of the JSON body. An example would be:

```graphql
query getCompany($domain: String!) {
    company(domain: $domain) {
        locations {
            city
            country
        }
    }
}
```

`variables` is a required **JSON object** parameter for most of the cases. An example would be:

```javascript
{ "domain": "meta.com" }
```

### Response

Regardless of the method by which the query and variables were sent, the response should be returned in the body of the request in JSON format.

A query might result in some data and some errors, and those should be returned in a JSON object of the form:

```javascript
{
  "data": { ... },
  "errors": [ ... ]
}
```

If there were no errors returned, the `"errors"` field will not present on the response. [Check out more details on errors](/error-handling).

{% content-ref url="/pages/-LsX\_6M-Hp0Cc254nTce" %}
[Getting started with Python](/company-data-api/getting-started/data-api-python)
{% endcontent-ref %}

{% content-ref url="/pages/-LtOrhv61wU13E2FcJFW" %}
[Getting started with cURL](/company-data-api/getting-started/data-api-curl)
{% endcontent-ref %}


# Getting started

The options below will help you get started with JavaScript, Python, cURL, or Ruby.

{% content-ref url="/pages/-LuBd-Fm1yN2A2\_uMmTC" %}
[Getting started with JavaScript](/company-data-api/getting-started/getting-started-with-javascript)
{% endcontent-ref %}

{% content-ref url="/pages/-LsX\_6M-Hp0Cc254nTce" %}
[Getting started with Python](/company-data-api/getting-started/data-api-python)
{% endcontent-ref %}

{% content-ref url="/pages/-LtOrhv61wU13E2FcJFW" %}
[Getting started with cURL](/company-data-api/getting-started/data-api-curl)
{% endcontent-ref %}

{% content-ref url="/pages/-LuBcWyC-HPiYkFXgbuG" %}
[Getting started with Ruby](/company-data-api/getting-started/getting-started-with-ruby)
{% endcontent-ref %}


# Getting started with JavaScript

Company Data API querying example with JavaScript

### Request code

```javascript
require('isomorphic-fetch');

API_KEY = '<REPLACE_WITH_YOUR_KEY>';
API_ENDPOINT = 'https://api.craft.co/v1/query';
GRAPHQL_QUERY = 'query getCompany($domain: String!) { company(domain: $domain) { locations { city, country } } }';

requestHeaders= { 'Content-Type': 'application/json', 'x-craft-api-key': API_KEY };
requestData = { 'query': GRAPHQL_QUERY, 'variables': { 'domain': 'meta.com' } };

fetch(API_ENDPOINT, {
    method: 'POST',
    headers: requestHeaders,
    body: JSON.stringify(requestData),
})
    .then(function(response)  { return response.json() })
    .then(console.log)
    .catch(console.error);
```

Make sure to replace `<REPLACE_WITH_YOUR_KEY>` with your unique API key.

### Response

The above command returns JSON structured like this:

```javascript
{
  "data": {
    "company": {
      "locations": [
        {
          "city": "Tokyo",
          "country": "JP"
        },
        {
          "city": "Ottawa",
          "country": "CA"
        },
        {
          "city": "Jakarta",
          "country": "ID"
        },
       ... 
      ]
    }
  }
}
```

#### **Read more**

* [Query basic company info](/company-data-api/data-points/basic-company-information)
* [Query financials](/company-data-api/data-points/financials)
* [Query operating data](/company-data-api/data-points/operating-data)
* [Query human capital data](/company-data-api/data-points/human-capital)


# Getting started with Python

Company Data API querying example with Python

### Request code

```python
import requests

API_KEY = "<REPLACE_WITH_YOUR_KEY>"
API_ENDPOINT = "https://api.craft.co/v1/query"
GRAPHQL_QUERY = """
    query getCompany($domain: String!) {
        company(domain: $domain) {
            locations {
                city
                country
            }
        }
    }
"""

request_headers= { "x-craft-api-key": API_KEY }
request_data = {
    "query": GRAPHQL_QUERY,
    "variables": { "domain": "meta.com" }
}

response = requests.post(API_ENDPOINT, json=request_data, headers=request_headers, timeout=30)
response_data = response.json()

print(response_data)
```

Make sure to replace `<REPLACE_WITH_YOUR_KEY>` with your unique API key.

### Response

The above command returns JSON structured like this:

```javascript
{
  "data": {
    "company": {
      "locations": [
        {
          "city": "Tokyo",
          "country": "JP"
        },
        {
          "city": "Ottawa",
          "country": "CA"
        },
        {
          "city": "Jakarta",
          "country": "ID"
        },
       ... 
      ]
    }
  }
}
```

#### **Read more**

* [Query basic company info](/company-data-api/data-points/basic-company-information)
* [Query financials](/company-data-api/data-points/financials)
* [Query operating data](/company-data-api/data-points/operating-data)
* [Query human capital data](/company-data-api/data-points/human-capital)


# Getting started with Ruby

Company Data API querying example with Ruby

### Request

```ruby
require 'net/http'
require 'json'

API_KEY = "<REPLACE_WITH_YOUR_KEY>"
API_ENDPOINT = "https://api.craft.co/v1/query"
GRAPHQL_QUERY = "query getCompany($domain: String!) { company(domain: $domain) { locations { city, country } } }"

request_headers= { "Content-Type": "application/json", "x-craft-api-key": API_KEY }
request_data = {
    "query": GRAPHQL_QUERY,
    "variables": { "domain": "meta.com" }
}

response = Net::HTTP.post(URI(API_ENDPOINT), request_data.to_json, request_headers)
puts response.body
```

Make sure to replace `<REPLACE_WITH_YOUR_KEY>` with your unique API key.

### Response

The above command returns JSON structured like this:

```javascript
{
  "data": {
    "company": {
      "locations": [
        {
          "city": "Tokyo",
          "country": "JP"
        },
        {
          "city": "Ottawa",
          "country": "CA"
        },
        {
          "city": "Jakarta",
          "country": "ID"
        },
       ... 
      ]
    }
  }
}
```

#### **Read more**

* [Query basic company info](/company-data-api/data-points/basic-company-information)
* [Query financials](/company-data-api/data-points/financials)
* [Query operating data](/company-data-api/data-points/operating-data)
* [Query human capital data](/company-data-api/data-points/human-capital)


# Getting started with cURL

Company Data API querying example with cURL

### Request

```bash
curl --request POST \
  --url 'https://api.craft.co/v1/query?=' \
  --header 'content-type: application/json' \
  --header 'x-craft-api-key: <REPLACE_WITH_YOUR_KEY>' \
  --data '{"query":"query getCompany($domain: String!) {\n\tcompany(domain: $domain) {\n\t\t locations {\n\t\t\tcity,\n\t\t\tcountry\n\t\t} \n\t}\n}","variables":{"domain":"meta.com"},"operationName":"getCompany"}'
```

Please make sure to replace `<REPLACE_WITH_YOUR_KEY>` with your unique API key.

### Response

The above command returns JSON structured like this:

```javascript
{
  "data": {
    "company": {
      "locations": [
        {
          "city": "Tokyo",
          "country": "JP"
        },
        {
          "city": "Ottawa",
          "country": "CA"
        },
        {
          "city": "Jakarta",
          "country": "ID"
        },
       ... 
      ]
    }
  }
}
```

#### **Read more**

* [Query basic company info](/company-data-api/data-points/basic-company-information)
* [Query financials](/company-data-api/data-points/financials)
* [Query operating data](/company-data-api/data-points/operating-data)
* [Query human capital data](/company-data-api/data-points/human-capital)


# Query Parameters

The [Company Data API](/company-data-api/introduction) provides several ways to query information on a company using different identifiers:

* Company Website Domain
* Company Name
* DUNS
* FIGI
* Craft Company ID

**Here are a few different examples:**

#### Find a company by name:

```graphql
# Query
query findCompanyByName($name: String!) {
    company(nameContains: $name) {
        displayName
        locationsCount
    }
}

# Variables
{ "name": "Stripe" }
```

#### Find a company by DUNS:

```graphql
# Query
query findCompanyByDUNS($duns: String!) {
    company(duns: $duns) {
        displayName
        locationsCount
    }
}

# Variables
{ "duns": "966357621" }
```

#### Find a company by domain:

```graphql
# Query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        displayName
        locationsCount
        homepage
    }
}

# Variables
{ "domain": "stripe.com" }
```

{% content-ref url="/pages/-LsXQlZ8ST1VYBBDctTU" %}
[Core data types](/company-data-api/graphql-objects)
{% endcontent-ref %}


# Data Categories

To help understand the different data fields available in our API, we have classified them into four broad categories: Basic Fields, Financials, Human Capital, and Operating data.&#x20;

###

### [Basic fields](/company-data-api/data-points/basic-company-information)

Includes name, descriptions, founded date, tags, social links, website URL, etc.

### [Financials](/company-data-api/data-points/financials)

Includes [Income statements](/company-data-api/data-points/financials/income-statements), [Balance sheets](/company-data-api/data-points/financials/balance-sheet-object), [Cash flows](/company-data-api/data-points/financials/cash-flow-statement-object).

### [Human capital](/company-data-api/data-points/human-capital)

Includes company [key executives](/company-data-api/data-points/human-capital/untitled-2), [jobs](/company-data-api/data-points/human-capital/untitled-3), [salaries](/company-data-api/data-points/human-capital/untitled-1), etc.

### [Operating data](/company-data-api/data-points/operating-data)

Includes Website traffic, [Twitter engagement](/company-data-api/data-points/operating-data/twitterengagementitem-object), [Operating metrics](/company-data-api/data-points/operating-data/untitled-2), [Data breaches](/company-data-api/data-points/operating-data/data-breach-object), [Blacklists](/company-data-api/data-points/operating-data/blacklist-object), [Court filings](/company-data-api/data-points/operating-data/untitled-5) and others.


# Basic Company Information

### Basic Fields

| Field                  | Type                                                                                                 | Description                                              |
| ---------------------- | ---------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| companyType            | [CompanyTypeEnum](/company-data-api/graphql-enums/company-type-enum)                                 | Public, private, investor, subsidiary                    |
| countryOfRegistration  | String                                                                                               | Country code, e.g. "US"                                  |
| displayName            | String                                                                                               | Name of the company                                      |
| duns                   | String                                                                                               | DUNS                                                     |
| figi                   | String                                                                                               | FIGI                                                     |
| foundedYear            | String                                                                                               | Year the company was founded                             |
| id                     | ID                                                                                                   | Craft ID                                                 |
| jobsCount              | Int                                                                                                  | Count of job postings                                    |
| locationsCount         | Int                                                                                                  | Count of corporate office locations                      |
| logo                   | [Image](/company-data-api/graphql-objects/image-object)                                              | Logo of the company                                      |
| longDescription        | String                                                                                               | Full description of the company                          |
| parentCompany          | [Company](/company-data-api/data-points)                                                             | Parent company (if subsidiary)                           |
| shortDescription       | String                                                                                               | 1 sentence description                                   |
| status                 | [CompanyStatusEnum](/company-data-api/graphql-enums/company-status-enum)                             | `"active"` or `"closed"`                                 |
| stockTicker            | String                                                                                               | Ticker for the company (if public)                       |
| stockMarket            | [StockMarket](/company-data-api/data-points/basic-company-information/stock-market)                  | Stock Market (Exchange name) for the company (if public) |
| taxId                  | String                                                                                               | Company Tax ID                                           |
| tags                   | \[[Tag](/company-data-api/data-points/basic-company-information/tag)]                                | List of company tags                                     |
| patents                | \[[Patent](/company-data-api/data-points/basic-company-information/patent)!]                         |                                                          |
| productAndServiceCodes | \[[UnspscCode](/company-data-api/data-points/basic-company-information/unspsc-code)!]                |                                                          |
| govSpending            | \[[GovSpending](/company-data-api/data-points/basic-company-information/gov-spending)!]              |                                                          |
| securityRatings        | \[[SecurityRating](/company-data-api/data-points/basic-company-information/security-rating)!]        |                                                          |
| usgProhibitedLists     | \[[USGProhibitedList](/company-data-api/data-points/basic-company-information/usg-prohibited-list)!] |                                                          |

### Web links

| Field      | Type   | Description                          |
| ---------- | ------ | ------------------------------------ |
| blog       | String | Company blog URL                     |
| craftUrl   | String | Company page URL on craft.co website |
| crunchbase | String | Crunchbase URL                       |
| facebook   | String | Facebook URL                         |
| homepage   | String | Company website URL                  |
| instagram  | String | Company Instagram URL                |
| linkedin   | String | Linkedin URL                         |
| pinterest  | String | Pinterest URL                        |
| twitter    | String | Twitter URL                          |
| wikipedia  | String | Wikipedia URL                        |
| youtube    | String | Youtube URL                          |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        # Basic fields
        companyType
        countryOfRegistration
        displayName
        duns
        figi
        foundedYear
        id
        jobsCount
        locationsCount
        logo {
            url
        }
        longDescription
        parentCompany {
            displayName
        }
        shortDescription
        status
        stockTicker
        stockMarket {
            mic
            name
        }
        taxId
        tags {
            name
        }
        usgProhibitedLists {
          listName
          code
        }        
        # Web links
        blog
        craftUrl
        crunchbase
        facebook
        homepage
        instagram
        linkedin
        pinterest
        twitter
        youtube
    }
}

# variables
{ "domain": "stripe.com" }
```


# USG Prohibited List

### Fields

| Field    | Type                                                       | Description                                                                                                                                       |
| -------- | ---------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| code     | [String](/company-data-api/graphql-objects/string-object)! | Identifies the listName as either A or B. A represents the parent companies and B represents subsidiaries and affiliates of the parent companies. |
| listName | [String](/company-data-api/graphql-objects/string-object)! | Identifies which United States Government (USG) prohibited list the company is under. Possible values are 889 and 1237.                           |


# Security Rating

### Fields

| Field                 | Type                                                       | Description |
| --------------------- | ---------------------------------------------------------- | ----------- |
| datetime              | [String](/company-data-api/graphql-objects/string-object)! |             |
| grade                 | [String](/company-data-api/graphql-objects/string-object)! |             |
| gradeUrl              | [String](/company-data-api/graphql-objects/string-object)  |             |
| industry              | [String](/company-data-api/graphql-objects/string-object)  |             |
| last30DaysScoreChange | Float                                                      |             |
| score                 | Int!                                                       |             |
| size                  | [String](/company-data-api/graphql-objects/string-object)  |             |
| sourceDomain          | [String](/company-data-api/graphql-objects/string-object)  |             |
| sourceName            | [String](/company-data-api/graphql-objects/string-object)  |             |


# Gov Spending

### Fields

| Field       | Type                                                       | Description |
| ----------- | ---------------------------------------------------------- | ----------- |
| amount      | [Money](/company-data-api/graphql-objects/money-object)!   |             |
| countryCode | [String](/company-data-api/graphql-objects/string-object)! |             |
| newAwards   | Int!                                                       |             |
| period      | [Period](/company-data-api/graphql-objects/untitled-3)!    |             |
| source      | [Source](/company-data-api/graphql-objects/source-object)! |             |


# Unspsc Code

### Fields

| Field | Type                                                                           | Description |
| ----- | ------------------------------------------------------------------------------ | ----------- |
| code  | [String](/company-data-api/graphql-objects/string-object)!                     |             |
| level | [UnspscCodeLevelEnum](/company-data-api/graphql-enums/unspsc-code-level-enum)! |             |
| name  | [String](/company-data-api/graphql-objects/string-object)!                     |             |


# Patent

### Fields <a href="#fields" id="fields"></a>

| Field             | Type                                                           | Description |
| ----------------- | -------------------------------------------------------------- | ----------- |
| abstract          | [String](/company-data-api/graphql-objects/string-object)!     |             |
| applicationNumber | [String](/company-data-api/graphql-objects/string-object)!     |             |
| assignees         | \[[String](/company-data-api/graphql-objects/string-object)!]! |             |
| country           | [String](/company-data-api/graphql-objects/string-object)!     |             |
| filingDate        | [String](/company-data-api/graphql-objects/string-object)!     |             |
| grantDate         | [String](/company-data-api/graphql-objects/string-object)      |             |
| inventors         | \[[String](/company-data-api/graphql-objects/string-object)!]! |             |
| priorityDate      | [String](/company-data-api/graphql-objects/string-object)      |             |
| publicationDate   | [String](/company-data-api/graphql-objects/string-object)      |             |
| publicationNumber | [String](/company-data-api/graphql-objects/string-object)!     |             |
| title             | [String](/company-data-api/graphql-objects/string-object)      |             |


# Stock Market

### Fields

| Field | Type   | Description |
| ----- | ------ | ----------- |
| name  | String | Market name |
| mic   | String | Market MIC  |


# Tag

### Fields

| Field | Type   | Description |
| ----- | ------ | ----------- |
| name  | String | Tag name    |


# Financials

### Fields

* [Income statements](/company-data-api/data-points/financials/income-statements)
* [Balance sheets](/company-data-api/data-points/financials/balance-sheet-object)
* [Cash flows](/company-data-api/data-points/financials/cash-flow-statement-object)
* [Filings](/company-data-api/data-points/financials/filing)
* [Analyst rating](/company-data-api/data-points/financials/untitled-1-2)
* [Latest stock summary](/company-data-api/data-points/financials/stock-summary)
* [Funding rounds](/company-data-api/data-points/financials/funding-round)
* [Stock summaries](/company-data-api/data-points/financials/stock-summary)
* [Private valuations](/company-data-api/data-points/financials/private-valuation)
* [Ratios](/company-data-api/data-points/financials/ratios)
* [Latest Z Score](/company-data-api/data-points/financials/latest-z-score)
* [Revenue breakdown](/company-data-api/data-points/financials/revenue-breakdowns)

| Field        | Type                                                    | Description        |
| ------------ | ------------------------------------------------------- | ------------------ |
| ev           | [Money](/company-data-api/graphql-objects/money-object) | Enterprise Value   |
| totalFunding | [Money](/company-data-api/graphql-objects/money-object) | Total funding data |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        ev {
            currency
            amount
        }
        totalFunding {
            currency
            amount
        }
        stocksSummary {
            closingDatetime
            marketcap
        }
        incomeStatements {
            period {
                periodType
                endDate
            }
            revenue
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Private Valuation

### Fields

| Field              | Type                                                                   | Description                                 |
| ------------------ | ---------------------------------------------------------------------- | ------------------------------------------- |
| date               | String                                                                 | ISO 8601 formatted date                     |
| fundingRound       | [FundingRound](/company-data-api/data-points/financials/funding-round) | Funding round associated with the valuation |
| postMoneyValuation | [Money](/company-data-api/graphql-objects/money-object)                | Post-Money Valuation                        |
| preMoneyValuation  | [Money](/company-data-api/graphql-objects/money-object)                | Pre-Money Valuation                         |
| source             | [Source](/company-data-api/graphql-objects/source-object)              | URL of Source                               |
| valuationStepUp    | Float                                                                  | Increase in Valuation since Last Funding    |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        privateValuations {
            comments
            date
            fundingRound {
                date
            }
            postMoneyValuation {
                amount
                currency
            }
            preMoneyValuation  {
                amount
                currency
            }
            source {
                url
            }
            valuationStepUp
        }
    }
}

# variables
{ "domain": "stripe.com" }
```


# Funding Rounds

### Fields

| Field            | Type                                                                           | Description                             |
| ---------------- | ------------------------------------------------------------------------------ | --------------------------------------- |
| amount           | [Money](/company-data-api/graphql-objects/money-object)                        | Amount invested                         |
| date             | String                                                                         | ISO 8601 formatted date of funding      |
| privateValuation | [PrivateValuation](/company-data-api/data-points/financials/private-valuation) | Private valuation for funding           |
| stage            | String                                                                         | Stage of funding this round represented |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        fundingRounds {
            amount {
                currencyIsoCode
                value
            }
            date
            stage
            privateValuation {
                date
                postMoneyValuation {
                    value
                    currencyIsoCode
                }
                source {
                    url
                    label
                }
                valuationStepUp
            }
        }
    }
}

# variables
{ "domain": "stripe.com" }
```

{% content-ref url="/pages/-LsMIN27Dcvq0urwPPw-" %}
[Broken mention](broken://pages/-LsMIN27Dcvq0urwPPw-)
{% endcontent-ref %}


# Income Statement

### Fields

| Field                        | Type                                                                   | Description                               |
| ---------------------------- | ---------------------------------------------------------------------- | ----------------------------------------- |
| costOfGoodsSold              | Float                                                                  | Cost of Goods Sold                        |
| currencyIsoCode              | [CurrencyTypeEnum](/company-data-api/graphql-enums/currency-type-enum) | Currency the company reports in           |
| depreciationAmortization     | Float                                                                  | Depreciation and Amortization             |
| ebit                         | Float                                                                  | EBIT                                      |
| ebitMargin                   | Float                                                                  | EBIT margin (a fraction)                  |
| ebitda                       | Float                                                                  | EBITDA                                    |
| ebitdaMargin                 | Float                                                                  | EBITDA margin (a fraction)                |
| generalAdministrativeExpense | Float                                                                  | General and Administrative Expense        |
| grossBookings                | Float                                                                  | Gross Bookings                            |
| grossProfit                  | Float                                                                  | Gross Profit                              |
| grossProfitMargin            | Float                                                                  | Gross Profit Margin (a fraction)          |
| incomeTaxExpense             | Float                                                                  | Income tax expense                        |
| interestExpense              | Float                                                                  | Interest Expense                          |
| interestIncome               | Float                                                                  | Interest Income                           |
| netIncome                    | Float                                                                  | Net Income                                |
| netInterestExpense           | Float                                                                  | Net interest expense                      |
| period                       | [Period](/company-data-api/graphql-objects/untitled-3)                 | Period of statement - Quarterly or Annual |
| preTaxProfit                 | Float                                                                  | Pre-Tax Profit                            |
| researchDevelopmentExpense   | Float                                                                  | Research and Development Expense          |
| revenue                      | Float                                                                  | Revenue                                   |
| revenueGrowth                | Float                                                                  | Revenue Growth                            |
| salesMarketingExpense        | Float                                                                  | Sales and Marketing Expense               |
| source                       | [Source](/company-data-api/graphql-objects/source-object)              | Source URL for the financial statement    |
| totalOperatingExpense        | Float                                                                  | Total Operating Expense                   |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        incomeStatements {
            costOfGoodsSold
            currencyIsoCode
            depreciationAmortization
            ebit
            ebitMargin
            ebitda
            ebitdaMargin
            generalAdministrativeExpense
            grossBookings
            grossProfit
            grossProfitMargin
            incomeTaxExpense
            interestExpense
            interestIncome
            netIncome
            netInterestExpense
            period {
                periodType
                endDate
            }
            preTaxProfit
            researchDevelopmentExpense
            revenue
            revenueGrowth
            salesMarketingExpense
            
            source {
                url
            }
            
            totalOperatingExpense
        }
        
        incomeStatementsSources {
            url
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Cash Flow Statement

### Fields

| Field                       | Type                                                                   | Description                            |
| --------------------------- | ---------------------------------------------------------------------- | -------------------------------------- |
| accountsPayable             | Float                                                                  | Accounts Payable                       |
| accountsReceivable          | Float                                                                  | Accounts Receivable                    |
| capex                       | Float                                                                  | CAPEX                                  |
| cashFromFinancingActivities | Float                                                                  | Cash from Financing Activities         |
| cashFromInvestingActivities | Float                                                                  | Cash from Investing Activities         |
| cashFromOperatingActivities | Float                                                                  | Cash from Operating Activities         |
| currencyIsoCode             | [CurrencyTypeEnum](/company-data-api/graphql-enums/currency-type-enum) | Cash Flow Statement Currency           |
| depreciationAmortization    | Float                                                                  | Depreciation and Amortization          |
| dividendsPaid               | Float                                                                  | Dividends Paid                         |
| freeCashFlow                | Float                                                                  | Free Cash Flow                         |
| incomeTaxesPaid             | Float                                                                  | Income Taxes Paid                      |
| interestPaid                | Float                                                                  | Interest Paid                          |
| inventories                 | Float                                                                  | Inventories                            |
| longTermBorrowings          | Float                                                                  | Long-term Borrowings                   |
| netChangeInCash             | Float                                                                  | Net Change in Cash                     |
| netIncome                   | Float                                                                  | Net Income                             |
| period                      | Period                                                                 | Period - Quarterly or Annual           |
| purchasesPpe                | Float                                                                  | Purchases of PPE                       |
| shortTermBorrowings         | Float                                                                  | Short-term Borrowings                  |
| source                      | [Source](/company-data-api/graphql-objects/source-object)              | Source URL for the financial statement |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        cashFlowStatements {
            accountsPayable
            accountsReceivable
            capex
            cashFromFinancingActivities
            cashFromInvestingActivities
            cashFromOperatingActivities
            currencyIsoCode
            depreciationAmortization
            dividendsPaid
            freeCashFlow
            incomeTaxesPaid
            interestPaid
            inventories
            longTermBorrowings
            netChangeInCash
            netIncome
            
            period {
                periodType
                endDate
            }
            
            purchasesPpe
            shortTermBorrowings
            
            source {
                url
            }
        }
        
        cashFlowStatementsSources {
            url
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Balance Sheet

### Fields

| Field                   | Type                                                                   | Description                            |
| ----------------------- | ---------------------------------------------------------------------- | -------------------------------------- |
| accountsPayable         | Float                                                                  | Accounts Payable                       |
| accountsReceivable      | Float                                                                  | Accounts Receivable                    |
| additionalPaidInCapital | Float                                                                  | Additional Paid-in Capital             |
| cash                    | Float                                                                  | Cash                                   |
| commonStock             | Float                                                                  | Common Stock                           |
| currencyIsoCode         | [CurrencyTypeEnum](/company-data-api/graphql-enums/currency-type-enum) | Balance Sheet Currency                 |
| currentAssets           | Float                                                                  | Current Assets                         |
| currentLiabilities      | Float                                                                  | Current Liabilities                    |
| debtToAssetsRatio       | Float                                                                  | Debt to Assets Ratio                   |
| debtToEquityRatio       | Float                                                                  | Debt to Equity Ratio                   |
| dividendsPayable        | Float                                                                  | Dividends Payable                      |
| eps                     | Float                                                                  | EPS                                    |
| financialLeverage       | Float                                                                  | Financial Leverage                     |
| goodwill                | Float                                                                  | Goodwill                               |
| inventories             | Float                                                                  | Inventories                            |
| longTermDebtCurrent     | Float                                                                  | Current Long-term Debt                 |
| longTermDebtNoncurrent  | Float                                                                  | Non-Current Long-term Debt             |
| nonCurrentLiabilities   | Float                                                                  | Non-Current Liabilities                |
| period                  | [Period](/company-data-api/graphql-objects/untitled-3)                 | Period - Quarterly or Annual           |
| ppE                     | Float                                                                  | PPE                                    |
| preferredStock          | Float                                                                  | Preferred Stock                        |
| prepaidExpenses         | Float                                                                  | Prepaid Expenses                       |
| retainedEarnings        | Float                                                                  | Retained Earnings                      |
| sharesOutstanding       | Float                                                                  | Shares Outstanding                     |
| source                  | [Source](/company-data-api/graphql-objects/source-object)              | Source URL for the financial statement |
| taxRate                 | Float                                                                  | Tax Rate                               |
| totalAssets             | Float                                                                  | Total Assets                           |
| totalDebt               | Float                                                                  | Total Debt                             |
| totalEquity             | Float                                                                  | Total Equity                           |
| totalLiabilities        | Float                                                                  | Total Liabilities                      |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        balanceSheets {
            accountsPayable
            accountsReceivable
            additionalPaidInCapital
            cash
            commonStock
            currencyIsoCode
            currentAssets
            currentLiabilities
            debtToAssetsRatio
            debtToEquityRatio
            dividendsPayable
            eps
            financialLeverage
            goodwill
            inventories
            longTermDebtCurrent
            longTermDebtNoncurrent
            nonCurrentLiabilities
            period {
                periodType
                endDate
            }
            ppE
            preferredStock
            prepaidExpenses
            retainedEarnings
            sharesOutstanding
            source {
                url
            }
            taxRate
            totalAssets
            totalDebt
            totalEquity
            totalLiabilities
        }
        
        balanceSheetsSources {
            url
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Revenue Breakdown

### Fields

| Field           | Type   | Description       |
| --------------- | ------ | ----------------- |
| segmentCategory | String | Segment Category  |
| segmentName     | String | Segment Name      |
| unitType        | String | Currency or Units |
| value           | Float  | Amount of revenue |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        revenueBreakdowns {
            period {
                periodType
                endDate
            }
            values {
                segmentCategory
                segmentName
                unitType
                value
            }
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Acquisitions

### Fields

| Field       | Type                                                                     | Description                                |
| ----------- | ------------------------------------------------------------------------ | ------------------------------------------ |
| date        | String                                                                   | ISO 8601 formatted date of the acquisition |
| description | String                                                                   | Description of the acquired company        |
| duns        | String                                                                   | DUNS for the acquired company              |
| id          | ID                                                                       | Craft ID for the acquired company          |
| name        | String                                                                   | Name of the acquired company               |
| value       | [Money](/company-data-api/graphql-objects/money-object)                  | Acquisition value                          |
| status      | [CompanyStatusEnum](/company-data-api/graphql-enums/company-status-enum) | Acquired company status: active or closed  |
| slug        | String                                                                   | Craft slug for acquired company            |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        acquisitions {
            date
            description
            duns
            id
            name
            value {
                currencyIsoCode
                value
            }
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Analyst Ratings

Analysts research public financial statements, attend earnings conference calls, and speak with managers and customers of publicly traded companies to reach an opinion on if they recommend to "buy," "sell," or "hold" the stock for a given company. In our dataset, we have aggregated ratings from over 800 sell-side analysts to understand market expectations of future performance for a given company.&#x20;

### Fields

| Field                      | Type   | Description                                                                                                                                                                                             |
| -------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| buyRecommendations         | Int    | Number of buy recommendations                                                                                                                                                                           |
| currency                   | String | Currency code                                                                                                                                                                                           |
| date                       | String | ISO 8601 formatted DateTime                                                                                                                                                                             |
| holdRecommendations        | Int    | Number of hold recommendations                                                                                                                                                                          |
| lastUpdated                | String | ISO 8601 formatted DateTime                                                                                                                                                                             |
| overweightRecommendations  | Int    | Number of overweight recommendations                                                                                                                                                                    |
| recommendation             | String | <p>Summarized recommendation represented as a text:</p><ul><li>Buy</li><li>Overweight</li><li>Hold</li><li>Underweight</li><li>Sell</li></ul>                                                           |
| recommendationScore        | Float  | <p>Summarized recommendation represented as a value <strong>between 1 and 3</strong>:</p><ul><li>1 - Buy</li><li>1.5 - Overweight</li><li>2 - Hold</li><li>2.5 - Underweight</li><li>3 - Sell</li></ul> |
| sellRecommendations        | Int    | Number of sell recommendations                                                                                                                                                                          |
| targetPrice                | Int    | <p>Mean of analysts' future target price for a particular stock.</p><p>It represents the projected price over the next 6 to 12 months.</p>                                                              |
| totalRecommendations       | Int    | Total number of recommendations                                                                                                                                                                         |
| underweightRecommendations | Int    | Number of underweight recommendations                                                                                                                                                                   |
| unreportedRecommendations  | Int    | Number of unreported recommendations                                                                                                                                                                    |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        analystRating {
            buyRecommendations
            currency
            date
            holdRecommendations
            lastUpdated
            overweightRecommendations
            recommendation
            recommendationScore
            sellRecommendations
            targetPrice
            totalRecommendations
            underweightRecommendations
            unreportedRecommendations
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Filing

### Fields

| Field    | Type                                                   | Description                            |
| -------- | ------------------------------------------------------ | -------------------------------------- |
| craftUrl | String                                                 | URL for report on the Craft side       |
| period   | [Period](/company-data-api/graphql-objects/untitled-3) | Period - Quarterly or Annual           |
| secUrl   | String                                                 | URL for the filing in the SEC database |

### Query Example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        filings {
            craftUrl
            period { 
                periodType
                endDate
            }
            secUrl
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Stock Summary

Summary stock market data for this company if it is publicly traded

### Fields

| Field               | Type   | Description                  |
| ------------------- | ------ | ---------------------------- |
| beta                | Float  | Beta                         |
| actualOn            | String | Actual On Date               |
| closingPrice        | Float  | Share Price at Market Close  |
| currencyCode        | String | Currency Code                |
| day200MovingAvg     | Float  | 200-Day Moving Average       |
| day50MovingAvg      | Float  | 50-Day Moving Average        |
| day5ChangePercent   | Float  | 5-Day Change Percent         |
| marketcap           | Float  | Market capitalization        |
| month1ChangePercent | Float  | 1-Month Change Percent       |
| month3ChangePercent | Float  | 3-Month Change Percent       |
| month6ChangePercent | Float  | 6-Month Change Percent       |
| sharesOutstanding   | Float  | Number of Shares Outstanding |
| week52Change        | Float  | 52-Week Change               |
| week52High          | Float  | 52-Week High                 |
| week52Low           | Float  | 52-Week Low                  |
| year1ChangePercent  | Float  | 1-Year Change Percent        |
| year2ChangePercent  | Float  | 2-Year Change Percent        |
| year5ChangePercent  | Float  | 5-Year Change Percent        |
| ytdChangePercent    | Float  | YTD Change Percent           |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        stocksSummaries {
            closingDatetime
            marketcap
        }
        stocksSummary {
            beta
            actualOn
            closingPrice
            currencyCode            
            day200MovingAvg
            day50MovingAvg
            day5ChangePercent
            marketcap
            month1ChangePercent
            month3ChangePercent
            month6ChangePercent
            sharesOutstanding
            week52Change
            week52High
            week52Low
            year1ChangePercent
            year2ChangePercent
            year5ChangePercent
            ytdChangePercent
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Latest Z Score

The most recent Altman Z Score for this company

### Fields

| Field  | Type                                                   | Description                        |
| ------ | ------------------------------------------------------ | ---------------------------------- |
| period | [Period](/company-data-api/graphql-objects/untitled-3) | Z score period (most recent value) |
| value  | Float                                                  | Z score value (most recent)        |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        latestZScore {
            period {
                endDate
                periodType
            }
            value
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Ratios

Financial ratios based on stock market data for this company

### Fields

| Field                       | Type  | Name                            | Description                                                                                                                                                                                                                                                                                                                                                                                   |
| --------------------------- | ----- | ------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| avgDaysInventoryOut         | Float | Days Inventory Outstanding      | Days Inventory Outstanding is the average number of days that a company holds its inventory before selling it. The days inventory outstanding calculation shows how quickly a company can turn inventory into cash. It is a liquidity metric and also an indicator of a company’s operational and financial efficiency. It is calculated as average inventory divided by COGS times 365 days. |
| avgDaysPayableOut           | Float | Days Payable Outstanding        | Days Payable Outstanding is a financial ratio that indicates the average time (in days) that a company takes to pay its bills and invoices to trade creditors, which include suppliers, vendors, or other companies. It is calculated as accounts payable divided by COGS, then divided by number of days in the period.                                                                      |
| currentRatio                | Float | Current Ratio                   | Current Ratio, also known as the working capital ratio, measures the capability of a business to meet its short-term obligations due within the year. It is calculated as current assets divided by current liabilities.                                                                                                                                                                      |
| debtToAssetsRatio           | Float | Debt to Assets Ratio            | Debt to Assets Ratio, also known as debt ratio, is a leverage ratio that indicates the percentage of assets that are financed with debt. It is calculated as total debt divided by total assets.                                                                                                                                                                                              |
| debtToEquityRatio           | Float | Debt to Equity Ratio            | Debt to Equity Ratio, also known as debt-equity ratio, risk ratio, or gearing, is a leverage ratio that calculates the weight of total debt and financial liabilities against total equity. It is calculated as total debt divided by total equity.                                                                                                                                           |
| ebitInterestExp             | Float | EBIT/Interest Exp.              | EBIT to Interest Expense Ratio, also known as interest coverage ratio, is a financial ratio used to determine whether a company can pay interest on its outstanding debts. It is a measure of the number of times a company could make interest payments on its debt with its EBIT. It is calculated as EBIT divided by interest expense.                                                     |
| ebitMargin                  | Float | EBIT Margin, a fraction         | EBIT Margin is a profitability or performance ratio that reflects the percentage of profit a company produces from its operations, prior to subtracting taxes and interest charges. It is calculated as EBIT divided by revenue.                                                                                                                                                              |
| ebitdaCapexInterestExp      | Float | (EBITDA-CAPEX)/Interest Exp.    | The ratio is used to assess a firm’s ability to pay interest expenses based on EBITDA after accounting for capital expenditures. This metric is specifically useful for companies with high capital expenditures, including manufacturing and mining firms. It is calculated as EBITDA minus CAPEX divided by interest expense.                                                               |
| ebitdaInterestExp           | Float | EBITDA/Interest Exp.            | EBITDA to Interest Expense Ratio is a financial ratio that is used to assess a company's financial durability by examining whether it is at least profitable enough to pay off its interest expenses using its pre-tax income. It is calculated as EBITDA divided by interest expense.                                                                                                        |
| ebitdaMargin                | Float | EBITDA Margin (a fraction)      | EBITDA Margin is a profitability ratio that measures how much in earnings a company is generating before interest, taxes, depreciation, and amortization, as a percentage of revenue. It is calculated as EBITDA divided by revenue.                                                                                                                                                          |
| evCfo                       | Float | EV CFO                          | EV to Cash from Operations is the ratio of the entire economic value of a company to the cash it produces. It is calculated as enterprise value divided by cash from operations.                                                                                                                                                                                                              |
| evEbit                      | Float | EV EBIT                         | EV to EBIT Ratio is a metric used to determine if a stock is priced too high or too low in relation to similar stocks and the market as a whole. It is calculated as enterprise value divided by EBIT.                                                                                                                                                                                        |
| evEbitda                    | Float | EV EBITDA                       | EV to EBITDA Ratio is a comparison of enterprise value and earnings before interest, taxes, depreciation and amortization. It compares the value of a company, inclusive of debt and other liabilities, to the actual cash earnings, exclusive of the non-cash expenses. It is calculated as enterprise value divided by EBITDA.                                                              |
| evFcf                       | Float | EV FCF                          | EV to Free Cash Flow Ratio compares the total valuation of the company with its ability to generate cash flow. The lower the ratio of enterprise value to the free cash flow figures, the faster a company can pay back the cost of its acquisition or generate cash to reinvest in its business. It is calculated as enterprise value divided by free cash flow.                             |
| financialLeverage           | Float | Financial Leverage              | Financial Leverage Ratio shows the relationship of the total assets of the firm to the portion owned by shareholders. This ratio is an indicator of the company’s leverage (debt) used to finance the firm. It is calculated as total assets divided by total equity.                                                                                                                         |
| fixedAssetTurnover          | Float | Fixed Asset Turnover            | Fixed Asset Turnover is an efficiency ratio that indicates how well or efficiently a business uses fixed assets to generate sales. It is calculated as revenue divided by average PP\&E.                                                                                                                                                                                                      |
| grossMargin                 | Float | Gross Margin (a fraction)       | Gross Profit Margin, also known as the gross margin ratio, is a profitability ratio that compares the gross margin of a company to its revenue. It shows how much profit a company makes after paying off its cost of goods sold. It is calculated as gross profit divided by revenue.                                                                                                        |
| inventoryTurnover           | Float | Inventory Turnover              | Inventory Turnover Ratio measures the speed at which inventory moves through a company. In general, a high inventory turnover ratio indicates efficiency. It is calculated as revenue divided by average inventory.                                                                                                                                                                           |
| ltDebtCapital               | Float | Long Term Debt to Capital Ratio | Long Term Debt to Capital Ratio is used to define how much financial leverage a firm has and whether its main source of funding comes from debts. It is calculated as long term debt divided by long term debt plus total equity.                                                                                                                                                             |
| ltDebtEquity                | Float | Long Term Debt to Equity Ratio  | Long Term Debt to Equity Ratio is a method used to determine the leverage that a business has taken on. It is calculated as long term debt divided by total equity.                                                                                                                                                                                                                           |
| netDebtEbitda               | Float | Net Debt/EBITDA                 | Net Debt to EBITDA ratio measures financial leverage and a company’s ability to pay off its debt. This ratio gives an indication as to how long a company would need to operate at its current level to pay off all its debt. It is calculated as total debt munus cash divided by EBITDA.                                                                                                    |
| netDebtEbitdaCapex          | Float | Net Debt/(EBITDA-CAPEX)         | Net Debt to EBITDA minus CAPEX ratio measures financial leverage and a company’s ability to pay off its debt. This ratio gives an indication as to how long a company would need to operate at its current level to pay off all its debt. It is calculated as total debt munus cash divided by EBITDA minus CAPEX.                                                                            |
| netIncomeMargin             | Float | Net Income Margin, a fraction   | Net Income Margin, also known as profit margin or net profit margin ratio, is a financial ratio used to calculate the percentage of profit a company produces from its total revenue. It measures the amount of net profit a company obtains per dollar of revenue gained. It is calculated as net income divided by revenue.                                                                 |
| operatingCashFlowRatio      | Float | Operating Cash Flow Ratio       | Operating Cash Flow Ratio, a liquidity ratio, is a measure of how well a company can pay off its current liabilities with the cash flow generated from its core business operations. It is calculated as cash generated from operations divided by current liabilities.                                                                                                                       |
| pE                          | Float | PE                              | Price to Earnings ratio (PE Ratio) is a measure of the share price relative to the annual net income earned by the firm per share. PE ratio shows current investor demand for a company share. It is calculated as share price divided by earnings per share.                                                                                                                                 |
| period                      | Float | Period                          |                                                                                                                                                                                                                                                                                                                                                                                               |
| quickRatio                  | Float | Quick Ratio                     | Quick Ratio, also known as the acid-test or liquidity ratio, measures the ability of a business to pay its short-term liabilities by having assets that are readily convertible into cash. It is calculated as current assets minus inventories divided by current liabilities.                                                                                                               |
| returnOnAssets              | Float | Return on Assets (a fraction)   | Return on Assets is a type of return on investment metric that measures the profitability of a business in relation to its total assets. This ratio indicates how well a company is performing by comparing the profit (net income) it’s generating to the capital it has invested in assets. It is calculated as net income divided by total assets.                                         |
| returnOnCapital             | Float | Return on Capital (a fraction)  | Return on Capital is a profitability ratio. It measures the return that an investment generates for capital contributors. Return on capital indicates how effective a company is at turning capital into profits. It is calculated as net income divided by total bebt plus total equity                                                                                                      |
| returnOnEquity              | Float | Return on Equity (a fraction)   | Return on Equity measures the rate of return on money invested by common stock owners and retained by the company in previous profitable years. It demonstrates the company's ability to generate profits from shareholders' equity. It is calculated as net income divided by total equity.                                                                                                  |
| revenuePerEmployee          | Float | Revenue Per Employee            | Revenue per Employee is an efficiency ratio used to determine the revenue generated per individual working at the company. It is calculated as revenue divided by the current number of employees.                                                                                                                                                                                            |
| sgnaMargin                  | Float | SG\&A Margin (a fraction)       | SG\&A Margin is a general and administrative expense that is incurred relative to the revenue generated over the same period of time. It is calculated as general and administrative expense divided by revenue.                                                                                                                                                                              |
| totalAssetTurnover          | Float | Total Asset Turnover            | Total Asset Turnover Ratio, also known as the asset turnover ratio, measures the efficiency with which a company uses its assets to produce sales. A company with a high asset turnover ratio operates more efficiently as compared to competitors with a lower ratio. It is calculated as revenue divided by average total assets.                                                           |
| totalDebtCapital            | Float | Total Debt/Capital              | Total Debt to Capital Ratio is a liquidity ratio that calculates the company’s use of financial leverage by comparing its total obligations to total capital. It is calculated as total debt divided by total debt plus total equity.                                                                                                                                                         |
| totalDebtEbitda             | Float | Total Debt/EBITDA               | Total Debt to EBITDA Ratio is the comparison of financial borrowings and earnings before interest, taxes, depreciation and amortization. It is a measure of the ability of the company to pay off its debts. It compares the financial obligations of the company to the actual cash earnings exclusive of the non-cash expenses. It is calculated as total debt divided by EBITDA.           |
| totalDebtEbitdaCapex        | Float | Total Debt/(EBITDA-CAPEX)       |                                                                                                                                                                                                                                                                                                                                                                                               |
| totalDebtEquity             | Float | Total Debt/Equity               | Total Debt to Equity Ratio, also known as debt-equity ratio, risk ratio, or gearing, is a leverage ratio that calculates the weight of total debt and financial liabilities against total equity. It is calculated as total debt divided by total equity.                                                                                                                                     |
| totalLiabilitiesTotalAssets | Float | Liabilities to Assets Ratio     | Liabilities to Assets Ratio is a solvency ratio that defines the total liabliities relative to the total assets the company holds. It is calculated as total liabilities divided by total assets.                                                                                                                                                                                             |
| z                           | Float | Altman Z-score                  | The Altman’s Z-Score model is a numerical measurement that is used to predict the chances a business will go bankrupt in the next two years. The model is considered an effective method of predicting the state of financial distress of a manufacturing firm by using multiple balance sheet values, and corporate income.                                                                  |
| zPrime                      | Float | Altman Z' score                 | The Altman’s Z-Score model is a numerical measurement that is used to predict the chances of a business going bankrupt in the next two years. The model is considered an effective method of predicting the state of financial distress of private industrial companies by using multiple balance sheet values, and corporate income.                                                         |
| zDoublePrime                | Float | Altman Z'' score                | Altman’s Z-Score model is a numerical measurement that is used to predict the chances of a business going bankrupt in the next two years. The model is considered an effective method of predicting the state of financial distress of non-manufacturing firms by using multiple balance sheet values and corporate income.                                                                   |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        ratios {
            avgDaysInventoryOut
            avgDaysPayableOut
            currentRatio
            debtToAssetsRatio
            debtToEquityRatio
            ebitInterestExp
            ebitMargin
            ebitdaCapexInterestExp
            ebitdaInterestExp
            ebitdaMargin
            evCfo
            evEbit
            evEbitda
            evFcf
            financialLeverage
            fixedAssetTurnover
            grossMargin
            inventoryTurnover
            ltDebtCapital
            ltDebtEquity
            netDebtEbitda
            netDebtEbitdaCapex
            netIncomeMargin
            operatingCashFlowRatio
            pE
            period {
                periodType
                endDate
            }
            quickRatio
            returnOnAssets
            returnOnCapital
            returnOnEquity
            revenuePerEmployee
            sgnaMargin
            totalAssetTurnover
            totalDebtCapital
            totalDebtEbitda
            totalDebtEbitdaCapex
            totalDebtEquity
            totalLiabilitiesTotalAssets
            
            z
            zPrime
            zDoublePrime
            
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Human capital

* [Company ratings](/company-data-api/data-points/human-capital/company-ratings-object)
* [Employee numbers](/company-data-api/data-points/human-capital/employee-numbers)
* [Ethnicity](/company-data-api/data-points/human-capital/untitled-5), [Gender](/company-data-api/data-points/human-capital/untitled-5) & [Roles metrics](/company-data-api/data-points/human-capital/untitled-5)
* [Job categories](/company-data-api/data-points/human-capital/untitled-4)
* [Jobs](/company-data-api/data-points/human-capital/untitled-3)
* [Key executives](/company-data-api/data-points/human-capital/untitled-2)
* [Salaries](/company-data-api/data-points/human-capital/untitled-1)
* [Jobs count](/company-data-api/data-points/human-capital/untitled-3)


# Company Ratings

The employee satisfaction ratings for this company

### Fields

| Field                         | Type  | Description                        |
| ----------------------------- | ----- | ---------------------------------- |
| careerOpportunitiesRating     | Float | Career Opportunities Rating        |
| compensationAndBenefitsRating | Float | Compensation and Benefits Rating   |
| cultureAndValuesRating        | Float | Culture and Values Rating          |
| overallRating                 | Float | Overall Employee Rating of Company |
| seniorLeadershipRating        | Float | Senior Leadership Rating           |
| workLifeBalanceRating         | Float | Work/Life Balance Rating           |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        companyRatings {
            careerOpportunitiesRating
            compensationAndBenefitsRating
            cultureAndValuesRating
            overallRating
            seniorLeadershipRating
            workLifeBalanceRating
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Employee Numbers

The employee headcount (including historical data) for this company

### Fields

| Field          | Type   | Description                                       |
| -------------- | ------ | ------------------------------------------------- |
| date           | String | ISO 8601 formatted date                           |
| employeeGrowth | Float  | Employee growth from the last period (a fraction) |
| employeeNumber | Int    | Count of employees at the company                 |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        employees {
            date
            employeeGrowth
            employeeNumber
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Human Capital Metrics

Human capital metrics for this company - including gender diversity, ethnicity, etc.

### Fields

| Field      | Type                                                   | Description                                      |
| ---------- | ------------------------------------------------------ | ------------------------------------------------ |
| name       | String                                                 | Human Capital Metric Definition                  |
| timePeriod | [Period](/company-data-api/graphql-objects/untitled-3) | Daily, Monthly, Quarterly, Semi-Annual or Annual |
| unitType   | String                                                 | Currency or Units                                |
| value      | Int                                                    | Value                                            |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        ethnicityMetrics {
            name
            timePeriod {
                periodType
                endDate
            }
            unitType
            value
        }
        
        genderMetrics {
            name
            timePeriod {
                periodType
                endDate
            }
            unitType
            value
        }
        rolesMetrics {
            name
            timePeriod {
                periodType
                endDate
            }
            unitType
            value
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Job Categories

The summary statistics on the job listings data for this company based on how they are distributed into each functional category.

### Fields

| Field      | Type   | Description                              |
| ---------- | ------ | ---------------------------------------- |
| category   | String | Job category name                        |
| percentage | Float  | Percentage representation for a category |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        jobCategories {
            category
            percentage
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Jobs

The granular level job detail data for this company

### Fields

| Field              | Type                                                       | Description                                   |
| ------------------ | ---------------------------------------------------------- | --------------------------------------------- |
| city               | String                                                     | City                                          |
| country            | String                                                     | Country code                                  |
| createdAt          | String                                                     | ISO 8601 formatted *DateTime* job was created |
| description        | String                                                     | Description of the job                        |
| naicsCode          | String                                                     | NAICS code                                    |
| naicsDescription   | String                                                     | NAICS sector description                      |
| onetOccupationCode | String                                                     | ONET code                                     |
| onetOccupationName | String                                                     | ONET occupation name                          |
| region             | String                                                     | Region                                        |
| title              | String                                                     | Job Title                                     |
| uid                | [String](/company-data-api/graphql-objects/string-object)! | Internal job ID                               |
| updatedAt          | String                                                     | ISO 8601 formatted *DateTime* job was updated |
| zipCode            | String                                                     | Zip Code                                      |

### Arguments

`first` – Number of jobs to retrieve, should not exceed 100

`offset` – Offset in the list

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        jobsCount
        jobs(first: 10, offset: 100) {
            city
            country
            createdAt
            description
            naicsCode
            naicsDescription
            onetOccupationCode
            onetOccupationName
            region
            title
            uid
            updatedAt
            zipCode
        }
    }
}


# variables
{ "domain": "meta.com" }
```


# Key Executives

The key executives and leadership of this company

### Fields

| Field    | Type              | Description              |
| -------- | ----------------- | ------------------------ |
| facebook | String            | Executive's Facebook URL |
| headshot | ExecutiveImageUrl | Executive's image        |
| linkedin | String            | Executive's LinkedIn URL |
| name     | String!           | Executive's full name    |
| title    | String            | Executive's title        |
| twitter  | String            | Executive's Twitter URL  |

### Query example


# Salaries

The salary data reported for specific job categories at this company

### Fields

| Field        | Type                                                    | Description          |
| ------------ | ------------------------------------------------------- | -------------------- |
| jobCategory  | String                                                  | Job Category         |
| medianSalary | [Money](/company-data-api/graphql-objects/money-object) | Amount with currency |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        salaries {
            jobCategory
            medianSalary {
                value
                currencyIsoCode
            }
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Operating data

* [Locations](/company-data-api/data-points/operating-data/untitled)
* [Data breaches](/company-data-api/data-points/operating-data/data-breach-object)
* [Black lists](/company-data-api/data-points/operating-data/blacklist-object)
* [Competitors](/company-data-api/data-points/operating-data/competitor-object)
* [News articles & blog posts](/company-data-api/data-points/operating-data/untitled-1)
* [Operating metrics](/company-data-api/data-points/operating-data/untitled-2)
* [Tech stack](/company-data-api/data-points/operating-data/untitled-3)
* [Twitter followers](/company-data-api/data-points/operating-data/untitled-4) and [Twitter engagement](/company-data-api/data-points/operating-data/twitterengagementitem-object)
* [Court filings](/company-data-api/data-points/operating-data/untitled-5)
* [Patents](/company-data-api/data-points/operating-data/patents)
* [Products and Services](/company-data-api/data-points/operating-data/products-and-services)
* [Government Spending](/company-data-api/data-points/operating-data/government-spending)
* [Website traffic](/company-data-api/data-points/operating-data/website-traffic)
* [Compliance Data](/company-data-api/data-points/operating-data/compliance-data)
* [Risk](/company-data-api/graphql-objects/risk)


# Locations

The corporate office locations for this company. Note: Craft excludes retail locations from our dataset.

### Fields

| Field     | Type    | Description                              |
| --------- | ------- | ---------------------------------------- |
| address   | String  | Location address                         |
| city      | String  | Location city                            |
| country   | String  | Location country                         |
| hq        | Boolean | If the location is a headquarters or not |
| id        | Int     | Internal location ID                     |
| latitude  | Float   | Latitude coordinate of the location      |
| longitude | Float   | Longitude coordinate of the location     |
| state     | String  | State (if applicable)                    |
| zipCode   | String  | Zip Code (if applicable)                 |

### Arguments

`hq` – Filter by HQ locations only. Boolean value

### Query example

```graphql
# query locations count & only HQ locations
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        locationsCount
        
        locations(hq: true) {
            address
            city
            country
            hq
            id
            latitude
            longitude
            state
            zipCode
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# Data Breaches

The reported data breaches that affected this company

### Fields

| Field                | Type   | Description                           |
| -------------------- | ------ | ------------------------------------- |
| affectedRecordsCount | Int    | Number of affected records            |
| date                 | String | ISO 8601 formatted date of the breach |
| description          | String | Description of the breach             |
| source               | String | Source label                          |
| sourceUrl            | String | Source URL                            |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        dataBreaches {
            affectedRecordsCount
            date
            description
            source
            sourceUrl
        }
    }
}


# variables
{ "domain": "meta.com" }
```


# Competitors

The top competitors for this company

### Fields

| Field            | Type                                                                  | Description                             |
| ---------------- | --------------------------------------------------------------------- | --------------------------------------- |
| companyType      | [CompanyTypeEnum](/company-data-api/graphql-enums/company-type-enum)  | Company type of competitor              |
| displayName      | String                                                                | Name of competitor                      |
| id               | ID                                                                    | Internal Craft company ID of competitor |
| logo             | [Image](/company-data-api/graphql-objects/image-object)               | Logo of competitor                      |
| shortDescription | String                                                                | Short description of competitor         |
| slug             | String                                                                | Company slug of competitor              |
| tags             | \[[Tag](/company-data-api/data-points/basic-company-information/tag)] | The list of tags for competitor         |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        competitors {
            displayName
            logo {
                url
            }
            shortDescription
            slug
            tags {
                name
            }
        }
    }
}

# variables
{ "domain": "stripe.com" }
```


# Blacklists

If the company is included on the blacklist records by OFAC

### Fields

| Field        | Type   | Description  |
| ------------ | ------ | ------------ |
| description  | String | Description  |
| organization | String | Organization |

### Query example

```graphql
### query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        blacklisted {
            description
            organization
        }
    }
}

### variables
{ "domain": "stripe.com" }
```


# Twitter Engagement

The engagement this company receives on Twitter

### Fields

| Field                               | Type   | Description                                     |
| ----------------------------------- | ------ | ----------------------------------------------- |
| avgLikesPerTweet                    | Float  | Average likes per tweet in the last 30 days     |
| avgRetweetsPerTweet                 | Float  | Average retweets per tweet in the last 30 days  |
| avgTweetsPerDay                     | Float  | Average tweets per day in the last 30 days      |
| collectedAt                         | String | ISO 8601 DateTime formatted collection time     |
| followers                           | Int    | Number of followers                             |
| following                           | Int    | Number of accounts followed                     |
| tweets                              | Int    | Total number of tweets                          |
| tweetsForPeriod                     | Int    | Number of tweets in the last 30 days            |
| tweetsPercentageEngagementForPeriod | Float  | Percentage tweet engagement in the last 30 days |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        latestTwitterEngagement {
            avgLikesPerTweet
            avgRetweetsPerTweet
            avgTweetsPerDay
            collectedAt
            followers
            following
            tweets
            tweetsForPeriod
            tweetsPercentageEngagementForPeriod
        }
    }
}

# variables
{ "domain": "meta.com" }
```


# News Articles

The latest news about the company and blogs posted by the company

This returns news articles and company blog posts.

### Fields

| Field       | Type   | Description                           |
| ----------- | ------ | ------------------------------------- |
| headline    | String | Article title                         |
| publishedAt | String | ISO 8601 formatted publication *time* |
| source      | String | Source label                          |
| summary     | String | Summary of the article                |
| url         | String | Original article URL                  |

### Arguments

`first` – Number of news/blogs to retrieve, should not exceed 100. Default is `10`.

`offset` – Offset in the list. Default is `0`.

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        news(first: 10, offset: 0) {
            headline
            publishedAt
            source
            summary
            url
        }
        
        blogs(first: 10, offset: 0) {
            headline
            publishedAt
            source
            summary
            url
        }
    }
}


# variables
{ "domain": "stripe.com" }
```


# Operating Metrics (KPIs)

The sector-specific metrics or Key Performance Indicators for this company

### Fields

[...]
